apiVersion: v1
items:
- apiVersion: apps/v1
  kind: Deployment
  metadata:
    annotations:
      deployment.kubernetes.io/revision: "1"
      kubectl.kubernetes.io/last-applied-configuration: |
        {"apiVersion":"apps/v1","kind":"Deployment","metadata":{"annotations":{},"labels":{"control-plane":"controller-manager","controller-tools.k8s.io":"1.0"},"name":"hive-controllers","namespace":"hive","ownerReferences":[{"apiVersion":"hive.openshift.io/v1","blockOwnerDeletion":true,"kind":"HiveConfig","name":"hive","uid":"5bf87cf5-3945-4275-870c-a1873dfc1703"}]},"spec":{"replicas":1,"revisionHistoryLimit":4,"selector":{"matchLabels":{"control-plane":"controller-manager","controller-tools.k8s.io":"1.0"}},"strategy":{"type":"Recreate"},"template":{"metadata":{"annotations":{"hive.openshift.io/hiveconfig-hash":"a09d0d44e84306e62d88305648054035"},"labels":{"control-plane":"controller-manager","controller-tools.k8s.io":"1.0"}},"spec":{"containers":[{"args":["--disabled-controllers","clustersync","--log-level","debug"],"command":["/opt/services/manager"],"env":[{"name":"CLI_CACHE_DIR","value":"/var/cache/kubectl"},{"name":"HIVE_NS","valueFrom":{"fieldRef":{"fieldPath":"metadata.namespace"}}},{"name":"HIVE_IMAGE","value":"quay.io/2uasimojo/hive:2210-dummy-cabundle"},{"name":"HIVE_IMAGE_PULL_POLICY","value":"Always"},{"name":"MANAGED_DOMAINS_FILE","value":"/data/config/managed-domains"},{"name":"AWS_PRIVATELINK_CONTROLLER_CONFIG_FILE","value":"/data/aws-private-link-config/aws-private-link"},{"name":"FAILED_PROVISION_CONFIG_FILE","value":"/data/failed-provision-config/hive-failed-provision-config"},{"name":"METRICS_CONFIG_FILE","value":"/data/metrics-config/hive-metrics-config"}],"envFrom":[{"configMapRef":{"name":"hive-controllers-config"}}],"image":"quay.io/2uasimojo/hive:2210-dummy-cabundle","imagePullPolicy":"Always","livenessProbe":{"httpGet":{"path":"/healthz","port":8080}},"name":"manager","readinessProbe":{"httpGet":{"path":"/readyz","port":8080}},"resources":{"requests":{"cpu":"50m","memory":"512Mi"}},"volumeMounts":[{"mountPath":"/var/cache/kubectl","name":"kubectl-cache"},{"mountPath":"/data/config","name":"hive-managed-domains"},{"mountPath":"/data/aws-private-link-config","name":"aws-private-link"},{"mountPath":"/data/failed-provision-config","name":"hive-failed-provision-config"},{"mountPath":"/data/metrics-config","name":"hive-metrics-config"}]}],"serviceAccountName":"hive-controllers","terminationGracePeriodSeconds":10,"volumes":[{"emptyDir":{},"name":"kubectl-cache"},{"configMap":{"name":"hive-managed-domains"},"name":"hive-managed-domains"},{"configMap":{"name":"aws-private-link","optional":true},"name":"aws-private-link"},{"configMap":{"name":"hive-failed-provision-config","optional":true},"name":"hive-failed-provision-config"},{"configMap":{"name":"hive-metrics-config","optional":true},"name":"hive-metrics-config"}]}}},"status":{}}
    creationTimestamp: "2023-05-09T14:25:06Z"
    generation: 1
    labels:
      control-plane: controller-manager
      controller-tools.k8s.io: "1.0"
    name: hive-controllers
    namespace: hive
    ownerReferences:
    - apiVersion: hive.openshift.io/v1
      blockOwnerDeletion: true
      kind: HiveConfig
      name: hive
      uid: 5bf87cf5-3945-4275-870c-a1873dfc1703
    resourceVersion: "790"
    uid: b07cd916-da2e-4254-bb56-74706275781f
  spec:
    progressDeadlineSeconds: 600
    replicas: 1
    revisionHistoryLimit: 4
    selector:
      matchLabels:
        control-plane: controller-manager
        controller-tools.k8s.io: "1.0"
    strategy:
      type: Recreate
    template:
      metadata:
        annotations:
          hive.openshift.io/hiveconfig-hash: a09d0d44e84306e62d88305648054035
        creationTimestamp: null
        labels:
          control-plane: controller-manager
          controller-tools.k8s.io: "1.0"
      spec:
        containers:
        - args:
          - --disabled-controllers
          - clustersync
          - --log-level
          - debug
          command:
          - /opt/services/manager
          env:
          - name: CLI_CACHE_DIR
            value: /var/cache/kubectl
          - name: HIVE_NS
            valueFrom:
              fieldRef:
                apiVersion: v1
                fieldPath: metadata.namespace
          - name: HIVE_IMAGE
            value: quay.io/2uasimojo/hive:2210-dummy-cabundle
          - name: HIVE_IMAGE_PULL_POLICY
            value: Always
          - name: MANAGED_DOMAINS_FILE
            value: /data/config/managed-domains
          - name: AWS_PRIVATELINK_CONTROLLER_CONFIG_FILE
            value: /data/aws-private-link-config/aws-private-link
          - name: FAILED_PROVISION_CONFIG_FILE
            value: /data/failed-provision-config/hive-failed-provision-config
          - name: METRICS_CONFIG_FILE
            value: /data/metrics-config/hive-metrics-config
          envFrom:
          - configMapRef:
              name: hive-controllers-config
          image: quay.io/2uasimojo/hive:2210-dummy-cabundle
          imagePullPolicy: Always
          livenessProbe:
            failureThreshold: 3
            httpGet:
              path: /healthz
              port: 8080
              scheme: HTTP
            periodSeconds: 10
            successThreshold: 1
            timeoutSeconds: 1
          name: manager
          readinessProbe:
            failureThreshold: 3
            httpGet:
              path: /readyz
              port: 8080
              scheme: HTTP
            periodSeconds: 10
            successThreshold: 1
            timeoutSeconds: 1
          resources:
            requests:
              cpu: 50m
              memory: 512Mi
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
          - mountPath: /var/cache/kubectl
            name: kubectl-cache
          - mountPath: /data/config
            name: hive-managed-domains
          - mountPath: /data/aws-private-link-config
            name: aws-private-link
          - mountPath: /data/failed-provision-config
            name: hive-failed-provision-config
          - mountPath: /data/metrics-config
            name: hive-metrics-config
        dnsPolicy: ClusterFirst
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext: {}
        serviceAccount: hive-controllers
        serviceAccountName: hive-controllers
        terminationGracePeriodSeconds: 10
        volumes:
        - emptyDir: {}
          name: kubectl-cache
        - configMap:
            defaultMode: 420
            name: hive-managed-domains
          name: hive-managed-domains
        - configMap:
            defaultMode: 420
            name: aws-private-link
            optional: true
          name: aws-private-link
        - configMap:
            defaultMode: 420
            name: hive-failed-provision-config
            optional: true
          name: hive-failed-provision-config
        - configMap:
            defaultMode: 420
            name: hive-metrics-config
            optional: true
          name: hive-metrics-config
  status:
    availableReplicas: 1
    conditions:
    - lastTransitionTime: "2023-05-09T14:25:10Z"
      lastUpdateTime: "2023-05-09T14:25:10Z"
      message: Deployment has minimum availability.
      reason: MinimumReplicasAvailable
      status: "True"
      type: Available
    - lastTransitionTime: "2023-05-09T14:25:06Z"
      lastUpdateTime: "2023-05-09T14:25:10Z"
      message: ReplicaSet "hive-controllers-76bb4648f7" has successfully progressed.
      reason: NewReplicaSetAvailable
      status: "True"
      type: Progressing
    observedGeneration: 1
    readyReplicas: 1
    replicas: 1
    updatedReplicas: 1
- apiVersion: apps/v1
  kind: Deployment
  metadata:
    annotations:
      deployment.kubernetes.io/revision: "1"
      kubectl.kubernetes.io/last-applied-configuration: |
        {"apiVersion":"apps/v1","kind":"Deployment","metadata":{"annotations":{},"labels":{"control-plane":"hive-operator","controller-tools.k8s.io":"1.0"},"name":"hive-operator","namespace":"hive"},"spec":{"replicas":1,"revisionHistoryLimit":4,"selector":{"matchLabels":{"control-plane":"hive-operator","controller-tools.k8s.io":"1.0"}},"strategy":{"type":"Recreate"},"template":{"metadata":{"labels":{"control-plane":"hive-operator","controller-tools.k8s.io":"1.0"}},"spec":{"containers":[{"command":["/opt/services/hive-operator","--log-level","debug"],"env":[{"name":"CLI_CACHE_DIR","value":"/var/cache/kubectl"},{"name":"HIVE_OPERATOR_NS","valueFrom":{"fieldRef":{"fieldPath":"metadata.namespace"}}}],"image":"quay.io/2uasimojo/hive:2210-dummy-cabundle","imagePullPolicy":"Always","livenessProbe":{"httpGet":{"path":"/healthz","port":8080}},"name":"hive-operator","ports":[{"containerPort":2112,"name":"metrics","protocol":"TCP"}],"readinessProbe":{"httpGet":{"path":"/readyz","port":8080}},"resources":{"requests":{"cpu":"100m","memory":"256Mi"}},"volumeMounts":[{"mountPath":"/var/cache/kubectl","name":"kubectl-cache"}]}],"serviceAccountName":"hive-operator","terminationGracePeriodSeconds":10,"volumes":[{"emptyDir":{},"name":"kubectl-cache"}]}}}}
    creationTimestamp: "2023-05-09T14:24:13Z"
    generation: 1
    labels:
      control-plane: hive-operator
      controller-tools.k8s.io: "1.0"
    name: hive-operator
    namespace: hive
    resourceVersion: "714"
    uid: 3225e518-e235-4ac9-982d-cb58d7c07cad
  spec:
    progressDeadlineSeconds: 600
    replicas: 1
    revisionHistoryLimit: 4
    selector:
      matchLabels:
        control-plane: hive-operator
        controller-tools.k8s.io: "1.0"
    strategy:
      type: Recreate
    template:
      metadata:
        creationTimestamp: null
        labels:
          control-plane: hive-operator
          controller-tools.k8s.io: "1.0"
      spec:
        containers:
        - command:
          - /opt/services/hive-operator
          - --log-level
          - debug
          env:
          - name: CLI_CACHE_DIR
            value: /var/cache/kubectl
          - name: HIVE_OPERATOR_NS
            valueFrom:
              fieldRef:
                apiVersion: v1
                fieldPath: metadata.namespace
          image: quay.io/2uasimojo/hive:2210-dummy-cabundle
          imagePullPolicy: Always
          livenessProbe:
            failureThreshold: 3
            httpGet:
              path: /healthz
              port: 8080
              scheme: HTTP
            periodSeconds: 10
            successThreshold: 1
            timeoutSeconds: 1
          name: hive-operator
          ports:
          - containerPort: 2112
            name: metrics
            protocol: TCP
          readinessProbe:
            failureThreshold: 3
            httpGet:
              path: /readyz
              port: 8080
              scheme: HTTP
            periodSeconds: 10
            successThreshold: 1
            timeoutSeconds: 1
          resources:
            requests:
              cpu: 100m
              memory: 256Mi
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
          - mountPath: /var/cache/kubectl
            name: kubectl-cache
        dnsPolicy: ClusterFirst
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext: {}
        serviceAccount: hive-operator
        serviceAccountName: hive-operator
        terminationGracePeriodSeconds: 10
        volumes:
        - emptyDir: {}
          name: kubectl-cache
  status:
    availableReplicas: 1
    conditions:
    - lastTransitionTime: "2023-05-09T14:25:05Z"
      lastUpdateTime: "2023-05-09T14:25:05Z"
      message: Deployment has minimum availability.
      reason: MinimumReplicasAvailable
      status: "True"
      type: Available
    - lastTransitionTime: "2023-05-09T14:24:13Z"
      lastUpdateTime: "2023-05-09T14:25:05Z"
      message: ReplicaSet "hive-operator-565788585d" has successfully progressed.
      reason: NewReplicaSetAvailable
      status: "True"
      type: Progressing
    observedGeneration: 1
    readyReplicas: 1
    replicas: 1
    updatedReplicas: 1
kind: List
metadata:
  resourceVersion: ""
